package com.yuchen.saas.park.service.service.work;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yuchen.saas.park.api.dto.work.SaasWorkOrderTypeDto;
import com.yuchen.saas.park.api.dto.work.SaasWorkOrderTypeQueryDto;
import com.yuchen.saas.park.api.entity.work.SaasWorkOrderType;
import com.yuchen.saas.park.api.vo.work.SaasWorkOrderTypeVo;
import org.nest.springwrap.core.mp.support.NestPage;

import java.util.List;

/**
 * <p>
 * 工单类型表 服务类
 * </p>
 *
 * @author caiwq
 * @since 2024-04-01
 */
public interface ISaasWorkOrderTypeService extends IService<SaasWorkOrderType> {
    Boolean add(SaasWorkOrderTypeDto workOrderTypeDto);
    Boolean edit(SaasWorkOrderTypeDto workOrderTypeDto);
    Boolean remove(Long id);
    NestPage<SaasWorkOrderTypeVo> list(SaasWorkOrderTypeQueryDto queryDto);
    List<SaasWorkOrderTypeVo> listAll(SaasWorkOrderTypeQueryDto queryDto);
}
